com.hazelcast.config

## Class SocketInterceptorConfig

- java.lang.Object
- - com.hazelcast.config.SocketInterceptorConfig

-     public class SocketInterceptorConfig
      extends Object

  Contains the configuration for interceptor socket.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketInterceptorConfig()`
    `SocketInterceptorConfig(SocketInterceptorConfig socketInterceptorConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getClassName()` Returns the name of the `SocketInterceptor` implementation class.
    `Object` | `getImplementation()` Returns the `SocketInterceptor` implementation object.
    `Properties` | `getProperties()` Gets all properties.
    `String` | `getProperty(String name)` Gets a property.
    `int` | `hashCode()`
    `boolean` | `isEnabled()` Returns if this configuration is enabled.
    `SocketInterceptorConfig` | `setClassName(String className)` Sets the name for the `SocketInterceptor` implementation class.
    `SocketInterceptorConfig` | `setEnabled(boolean enabled)` Enables and disables this configuration.
    `SocketInterceptorConfig` | `setImplementation(Object implementation)` Sets the `SocketInterceptor` implementation object.
    `SocketInterceptorConfig` | `setProperties(Properties properties)` Sets the properties.
    `SocketInterceptorConfig` | `setProperty(String name, String value)` Sets a property.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketInterceptorConfig

          public SocketInterceptorConfig()

    - #### SocketInterceptorConfig

          public SocketInterceptorConfig(SocketInterceptorConfig socketInterceptorConfig)

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Returns the name of the `SocketInterceptor` implementation class.
      Returns:
        name of the `SocketInterceptor` implementation class

    - #### setClassName

          public SocketInterceptorConfig setClassName(String className)

      Sets the name for the `SocketInterceptor` implementation class.
      Parameters:
        `className` - the name of the `SocketInterceptor` implementation class to set
      Returns:
        this SocketInterceptorConfig instance

    - #### setImplementation

          public SocketInterceptorConfig setImplementation(Object implementation)

      Sets the `SocketInterceptor` implementation object.
      Parameters:
        `implementation` - the `SocketInterceptor` implementation object to set
      Returns:
        this SocketInterceptorConfig instance

    - #### getImplementation

          public Object getImplementation()

      Returns the `SocketInterceptor` implementation object.
      Returns:
        the `SocketInterceptor` implementation object

    - #### isEnabled

          public boolean isEnabled()

      Returns if this configuration is enabled.
      Returns:
        `true` if enabled, `false` otherwise

    - #### setEnabled

          public SocketInterceptorConfig setEnabled(boolean enabled)

      Enables and disables this configuration.
      Parameters:
        `enabled` - true to enable, false to disable

    - #### setProperty

          public SocketInterceptorConfig setProperty(String name,
                                                     String value)

      Sets a property.
      Parameters:
        `name` - the name of the property to set
        `value` - the value of the property to set
      Returns:
        the updated SocketInterceptorConfig
      Throws:
        `NullPointerException` - if name or value is `null`

    - #### getProperty

          public String getProperty(String name)

      Gets a property.
      Parameters:
        `name` - the name of the property to get
      Returns:
        the value of the property, `null` if not found
      Throws:
        `NullPointerException` - if name is `null`

    - #### getProperties

          public Properties getProperties()

      Gets all properties.
      Returns:
        the properties

    - #### setProperties

          public SocketInterceptorConfig setProperties(Properties properties)

      Sets the properties.
      Parameters:
        `properties` - the properties to set
      Returns:
        the updated SSLConfig
      Throws:
        `IllegalArgumentException` - if properties is `null`

    - #### equals

          public final boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.